function F = solve_lq(A, B)

[n, m] = size(B);

term = randn(n); term = term+term';

Q = eye(n);
S = zeros(n, m);
R = eye(m);

N = [ zeros(n), eye(n), zeros(n, m); ...
      -eye(n), zeros(n), zeros(n, m); ...
     zeros(m, n), zeros(m, n), zeros(m, m) ];

M = [ zeros(n), A, B; ...
      A', -Q,  -S; ...
      B', -S', -R ];

es = eig(M, N);

%plot(real(es), imag(es), 'rx');

%min(abs(real(es)))

[X, L, G] = care(A, B, eye(n));

F = -G;

es = eig(A+B*F);

%max(real(es))

%hold on;
%plot(real(es), imag(es), 'bo');
%hold off;


